| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Enumerations | Functions
base64.h File Reference

## Enumerations

enum | wxBase64DecodeMode { wxBase64DecodeMode_Strict, wxBase64DecodeMode_SkipWS, wxBase64DecodeMode_Relaxed }
| Elements of this enum specify the possible behaviours of wxBase64Decode when an invalid character is encountered. More...

## Functions

size_t | wxBase64Encode (char *dst, size_t dstLen, const void *src, size_t srcLen)
| This function encodes the given data using base64.
wxString | wxBase64Encode (const void *src, size_t srcLen)
| This function encodes the given data using base64 and returns the output as a wxString.
wxString | wxBase64Encode (const wxMemoryBuffer &buf)
| This function encodes the given data using base64 and returns the output as a wxString.
size_t | wxBase64DecodedSize (size_t srcLen)
| Returns the size of the buffer necessary to contain the data encoded in a base64 string of length srcLen.
size_t | wxBase64EncodedSize (size_t len)
| Returns the length of the string with base64 representation of a buffer of specified size len.
size_t | wxBase64Decode (void *dst, size_t dstLen, const char *src, size_t srcLen=wxNO_LEN, wxBase64DecodeMode mode=wxBase64DecodeMode_Strict, size_t *posErr=NULL)
| This function decodes a Base64-encoded string.
size_t | wxBase64Decode (void *dst, size_t dstLen, const wxString &str, wxBase64DecodeMode mode=wxBase64DecodeMode_Strict, size_t *posErr=NULL)
| Decode a Base64-encoded wxString.
wxMemoryBuffer | wxBase64Decode (const char *src, size_t srcLen=wxNO_LEN, wxBase64DecodeMode mode=wxBase64DecodeMode_Strict, size_t *posErr=NULL)
| Decode a Base64-encoded string and return decoded contents in a buffer.
wxMemoryBuffer | wxBase64Decode (const wxString &src, wxBase64DecodeMode mode=wxBase64DecodeMode_Strict, size_t *posErr=NULL)
| Decode a Base64-encoded wxString and return decoded contents in a buffer.